org.apache.maven.scm.provider.cvslib.command.update

## Class AbstractCvsUpdateCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.update.AbstractUpdateCommand
    - - org.apache.maven.scm.provider.cvslib.command.update.AbstractCvsUpdateCommand

All Implemented Interfaces:
  Command, CvsCommand

Direct Known Subclasses:
  CvsExeUpdateCommand, CvsJavaUpdateCommand

    public abstract class AbstractCvsUpdateCommand
    extends AbstractUpdateCommand
    implements CvsCommand

Author:
  Emmanuel Venisse , Trygve Laugstøl, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCvsUpdateCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract UpdateScmResult` `executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)`
`UpdateScmResult` `executeUpdateCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion version)`

### Methods inherited from class org.apache.maven.scm.command.update.AbstractUpdateCommand

`executeCommand, getChangeLogCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### AbstractCvsUpdateCommand

    public AbstractCvsUpdateCommand()

### Method Detail

#### executeUpdateCommand

    public UpdateScmResult executeUpdateCommand(ScmProviderRepository repo,
                                                ScmFileSet fileSet,
                                                ScmVersion version)
                                         throws ScmException

Specified by:
  `executeUpdateCommand` in class `AbstractUpdateCommand`
Throws:
  `ScmException`

#### executeCvsCommand

    protected abstract UpdateScmResult executeCvsCommand(org.codehaus.plexus.util.cli.Commandline cl)
                                                  throws ScmException

Throws:
  `ScmException`